> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://help.sigmacomputing.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://help.sigmacomputing.com/_mcp/server.

# List teams

GET https://api.sigmacomputing.com/v2/teams


  **Attention**: This endpoint will return only paginated responses starting June 2, 2026. To start returning paginated responses before that date, include the query parameter `limit` in your request.

  List all teams in Sigma.
  

Reference: https://help.sigmacomputing.com/reference/list-teams

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: sigma-rest-api
  version: 1.0.0
paths:
  /v2/teams:
    get:
      operationId: listTeams
      summary: List teams
      description: |2-

          **Attention**: This endpoint will return only paginated responses starting June 2, 2026. To start returning paginated responses before that date, include the query parameter `limit` in your request.

          List all teams in Sigma.
          
      tags:
        - Teams
      parameters:
        - name: page
          in: query
          required: false
          schema:
            type: string
        - name: limit
          in: query
          required: false
          schema:
            type: number
            format: double
        - name: name
          in: query
          required: false
          schema:
            type: string
        - name: description
          in: query
          required: false
          schema:
            type: string
        - name: visibility
          in: query
          required: false
          schema:
            $ref: '#/components/schemas/V2TeamsGetParametersVisibility'
        - name: Authorization
          in: header
          description: OAuth authentication
          required: true
          schema:
            type: string
      responses:
        '200':
          description: The response body.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/teams_listTeams_Response_200'
servers:
  - url: https://api.sigmacomputing.com
    description: Server for GCP (US) hosted organizations
  - url: https://api.sa.gcp.sigmacomputing.com
    description: Server for GCP (KSA) hosted organizations
  - url: https://aws-api.sigmacomputing.com
    description: Server for AWS US (West) hosted organizations
  - url: https://api.us-a.aws.sigmacomputing.com
    description: Server for AWS US (East) hosted organizations
  - url: https://api.ca.aws.sigmacomputing.com
    description: Server for AWS Canada hosted organizations
  - url: https://api.eu.aws.sigmacomputing.com
    description: Server for AWS Europe hosted organizations
  - url: https://api.au.aws.sigmacomputing.com
    description: Server for AWS Australia and APAC hosted organizations
  - url: https://api.uk.aws.sigmacomputing.com
    description: Server for AWS UK hosted organizations
  - url: https://api.us.azure.sigmacomputing.com
    description: Server for Azure US hosted organizations
  - url: https://api.eu.azure.sigmacomputing.com
    description: Server for Azure Europe hosted organizations
  - url: https://api.ca.azure.sigmacomputing.com
    description: Server for Azure Canada hosted organizations
  - url: https://api.uk.azure.sigmacomputing.com
    description: Server for Azure United Kingdom hosted organizations
  - url: https://api.au.azure.sigmacomputing.com
    description: Server for Azure Australia hosted organizations
components:
  schemas:
    V2TeamsGetParametersVisibility:
      type: string
      enum:
        - public
        - private
      title: V2TeamsGetParametersVisibility
    V2TeamsGetResponsesContentApplicationJsonSchemaOneOf0ItemsVisibility:
      type: string
      enum:
        - public
        - private
      title: V2TeamsGetResponsesContentApplicationJsonSchemaOneOf0ItemsVisibility
    V2TeamsGetResponsesContentApplicationJsonSchemaOneOf0Items:
      type: object
      properties:
        teamId:
          type: string
        createdBy:
          type: string
        updatedBy:
          type: string
        createdAt:
          type: string
          format: date-time
        updatedAt:
          type: string
          format: date-time
        name:
          type: string
        description:
          type:
            - string
            - 'null'
        visibility:
          $ref: >-
            #/components/schemas/V2TeamsGetResponsesContentApplicationJsonSchemaOneOf0ItemsVisibility
        isArchived:
          type: boolean
      required:
        - teamId
        - createdBy
        - updatedBy
        - createdAt
        - updatedAt
        - name
        - description
        - visibility
      title: V2TeamsGetResponsesContentApplicationJsonSchemaOneOf0Items
    TeamsListTeamsResponse2000:
      type: array
      items:
        $ref: >-
          #/components/schemas/V2TeamsGetResponsesContentApplicationJsonSchemaOneOf0Items
      description: One page of results
      title: TeamsListTeamsResponse2000
    V2TeamsGetResponsesContentApplicationJsonSchemaOneOf1EntriesItemsVisibility:
      type: string
      enum:
        - public
        - private
      title: >-
        V2TeamsGetResponsesContentApplicationJsonSchemaOneOf1EntriesItemsVisibility
    V2TeamsGetResponsesContentApplicationJsonSchemaOneOf1EntriesItems:
      type: object
      properties:
        teamId:
          type: string
        createdBy:
          type: string
        updatedBy:
          type: string
        createdAt:
          type: string
          format: date-time
        updatedAt:
          type: string
          format: date-time
        name:
          type: string
        description:
          type:
            - string
            - 'null'
        visibility:
          $ref: >-
            #/components/schemas/V2TeamsGetResponsesContentApplicationJsonSchemaOneOf1EntriesItemsVisibility
        isArchived:
          type: boolean
      required:
        - teamId
        - createdBy
        - updatedBy
        - createdAt
        - updatedAt
        - name
        - description
        - visibility
      title: V2TeamsGetResponsesContentApplicationJsonSchemaOneOf1EntriesItems
    TeamsListTeamsResponse2001:
      type: object
      properties:
        entries:
          type: array
          items:
            $ref: >-
              #/components/schemas/V2TeamsGetResponsesContentApplicationJsonSchemaOneOf1EntriesItems
        nextPage:
          type:
            - string
            - 'null'
      required:
        - entries
        - nextPage
      description: Multiple pages of results
      title: TeamsListTeamsResponse2001
    teams_listTeams_Response_200:
      oneOf:
        - $ref: '#/components/schemas/TeamsListTeamsResponse2000'
        - $ref: '#/components/schemas/TeamsListTeamsResponse2001'
      title: teams_listTeams_Response_200
  securitySchemes:
    OAuth:
      type: http
      scheme: bearer
      description: OAuth 2.0 authentication

```

## Examples



**Request**

```json
{}
```

**Response**

```json
[
  {
    "createdAt": "2024-01-15T09:30:00Z",
    "createdBy": "jane.doe@sigmacomputing.com",
    "description": "Team responsible for data analysis and reporting",
    "isArchived": true,
    "name": "Data Analytics Team",
    "teamId": "a1b2c3d4-e5f6-7890-ab12-cd34ef567890",
    "updatedAt": "2024-01-15T09:30:00Z",
    "updatedBy": "john.smith@sigmacomputing.com",
    "visibility": "public"
  }
]
```

**SDK Code**

```python
import requests

url = "https://api.sigmacomputing.com/v2/teams"

payload = {}
headers = {
    "Authorization": "<token>.",
    "Content-Type": "application/json"
}

response = requests.get(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.sigmacomputing.com/v2/teams';
const options = {
  method: 'GET',
  headers: {Authorization: '<token>.', 'Content-Type': 'application/json'},
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.sigmacomputing.com/v2/teams"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("GET", url, payload)

	req.Header.Add("Authorization", "<token>.")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.sigmacomputing.com/v2/teams")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = '<token>.'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.sigmacomputing.com/v2/teams")
  .header("Authorization", "<token>.")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.sigmacomputing.com/v2/teams', [
  'body' => '{}',
  'headers' => [
    'Authorization' => '<token>.',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.sigmacomputing.com/v2/teams");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "<token>.");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "<token>.",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.sigmacomputing.com/v2/teams")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```